<?php
if ('flatsome' !== get_template()) {
	return;
}

// Layout
add_action('init', 'ep_flatsome_layout_options');
add_action('wp_head', 'ep_flatsome_layout_styles');
add_action('wp_head', 'ep_flatsome_export_css_vars');

function ep_flatsome_export_css_vars()
{
	$settings = [
		'color_success' => Flatsome_Default::COLOR_SUCCESS,
		'color_alert' => Flatsome_Default::COLOR_ALERT,
	];

	$vars = [];

	foreach ($settings as $setting => $default) {
		$vars[] = sprintf('--%s:%s', str_replace('_', '-', $setting), get_theme_mod($setting, $default));
	}

	printf('<style>:root{%s}</style>', implode(';', $vars));
}

/**
 * Dodaje postavke u layout panel.
 */
function ep_flatsome_layout_options()
{
	Flatsome_Option::add_field('option', [
		'type'      => 'image',
		'settings'  => 'body_banner_image',
		'label'     => __('Banner Image', 'ep-flatsome'),
		'section'   => 'layout',
		'default'   => '',
		'transport' => 'refresh',
	]);
}

/**
 * Dodaje css za layout u head.
 */
function ep_flatsome_layout_styles()
{
	// Css za banner image
	if ($banner = get_theme_mod('body_banner_image')) {
		printf('<style>@media(min-width:1080px){html{position:relative}html::before{%s}}</style>', implode(';', [
			sprintf('content:url(%s)', esc_attr($banner)),
			'position:absolute',
			'top:0',
			'left:50%',
			'transform:translateX(-50%)',
		]));
	}
}