<?php
return [
	'type' => \Ep\WordPress\Form\SettingsForm::class,

	'attributes' => [
		'title' => 'SMTP Postavke',
	],

	'elements' => [[
		'spec' => [
			'type' => 'checkbox',
			'name' => 'enabled',
			'options' => [
				'label' => 'Uključi/isključi',
				'description' => 'Omogući slanje mailova putem SMTP-a',
			],
		],
	], [
		'spec' => [
			'type' => 'text',
			'name' => 'host',
			'options' => [
				'label' => 'Host',
			],
		],
	], [
		'spec' => [
			'type' => 'text',
			'name' => 'port',
			'options' => [
				'label' => 'Port',
			],
			'attributes' => [
				'placeholder' => '25',
			],
		],
	], [
		'spec' => [
			'type' => 'text',
			'name' => 'username',
			'options' => [
				'label' => 'Korisničko ime',
			],
		],
	], [
		'spec' => [
			'type' => 'text',
			'name' => 'password',
			'options' => [
				'label' => 'Lozinka',
			],
		],
	]],

	'input_filter' => [
		'host' => [
			'required' => true,
			'validator_chain' => [
				'name' => 'DisableableValidatorChain',
				'options' => [
					'name' => 'enabled',
					'value' => '1',
				],
			],
			'validators' => [[
				'name' => \Zend\Validator\Hostname::class,
				'break_chain_on_failure' => true,
				'options' => [
					'allow' => \Zend\Validator\Hostname::ALLOW_DNS | \Zend\Validator\Hostname::ALLOW_IP,
				],
			], [
				'name' => \Ep\Validator\SmtpServer::class,
			]],
		],
		'password' => [
			'required' => true,
			'validator_chain' => [
				'name' => 'DisableableValidatorChain',
				'options' => [
					'name' => 'username',
					'value' => true,
				],
			],
		],
	],
];