<?php
namespace Ep\Core;

/**
 * Pruža pristup nekakvom autenticiranom korisniku.
 *
 * @package Ep\Core
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
interface UserProviderInterface
{
	/**
	 * Vraća true ako imamo ulogiranog korisnika.
	 *
	 * @return bool
	 */
	public function hasUser(): bool;

	/**
	 * Vraća korisničko ime trenutno ulogiranog korisnika.
	 *
	 * @return string|null
	 */
	public function getUsername(): string;

	/**
	 * Vraća true ako je ulogirani korisnik veleprodajni kupac.
	 *
	 * @return bool
	 */
	public function isWholesale(): bool;
}