<?php
namespace Ep\Gath\Entity;

/**
 * Class Rebate
 *
 * @package Ep\Gath\Entity
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class Rebate
{
	/** @var float */
	private $originalPrice;
	/** @var float */
	private $rate;
	/** @var float */
	private $netPrice;
	/** @var float */
	private $discountedPrice;

	/**
	 * @return float
	 */
	public function getOriginalPrice(): float
	{
		return $this->netPrice > 0 ? $this->netPrice : $this->originalPrice;
	}

	/**
	 * @return float
	 */
	public function getRate(): float
	{
		return $this->netPrice > 0 ? 0 : $this->rate;
	}

	/**
	 * @return float
	 */
	public function getDiscountedPrice(): float
	{
		return $this->netPrice > 0 ? $this->netPrice : $this->discountedPrice;
	}

	/**
	 * @return float
	 */
	public function getNetPrice(): float
	{
		return $this->netPrice;
	}
}