<?php
namespace Ep\Gath;

use Ep\Core\UserProviderInterface;
use Ep\Gath\Adapter\AdapterInterface;
use Interop\Container\ContainerInterface;
use Zend\ServiceManager\Factory\FactoryInterface;
use Zend\ServiceManager\PluginManagerInterface;

/**
 * Stvara novu instancu GathServica.
 *
 * @package Ep\Gath
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class GathServiceFactory implements FactoryInterface
{
	/**
	 * Stvara objekt.
	 *
	 * @param  ContainerInterface $container
	 * @param  string $requestedName
	 * @param  null|array $options
	 *
	 * @return GathService
	 */
	public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
	{
		/** @var AdapterInterface $adapter */
		$adapter = $container->get('GathRestAdapter');
		/** @var UserProviderInterface $users */
		$users = $container->get('WordPressUsers');
		/** @var PluginManagerInterface $hydrators */
		$hydrators = $container->get('HydratorManager');

		return new GathService($adapter, $users, $hydrators);
	}
}