<?php
namespace Ep\WordPress\Service;

/**
 * Objekt koji se na neki način povezuje s WordPressom.
 *
 * @package Ep\WordPress
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
interface WordPressServiceInterface
{
	/**
	 * Pokreće se prilikom aktivacije plugina.
	 */
	public function activate(): void;

	/**
	 * Pokreće se prilikom deaktivacije plugina.
	 */
	public function deactivate(): void;

	/**
	 * Dodaje handlere na WP akcije i filtere.
	 */
	public function attach(): void;

	/**
	 * Dodaje handlere za akcije i filtere u adminu.
	 */
	public function attachAdmin(): void;

	/**
	 * Dodaje front-end resurse.
	 */
	public function assets(): void;

	/**
	 * Uklanja handlere s WP akcija i filtera.
	 */
	public function detach(): void;

	/**
	 * Uklanja handlere s akcija i filtera u adminu.
	 */
	public function detachAdmin(): void;

	/**
	 * Dodaje front-end resurse u adminu.
	 */
	public function adminAssets(): void;
}